Index: src/cmdmapper.cpp
===================================================================
--- src/cmdmapper.cpp	(revision 799)
+++ src/cmdmapper.cpp	(working copy)
@@ -3,7 +3,7 @@
  * 
  *
  *
- * Copyright (C) 1997-2011 by Dimitri van Heesch.
+ * Copyright (C) 1997-2012 by Dimitri van Heesch.
  *
  * Permission to use, copy, modify, and distribute this software and its
  * documentation under the terms of the GNU General Public License is hereby 
@@ -185,6 +185,7 @@
   { "summary",      XML_SUMMARY },
   { "term",         XML_TERM },
   { "value",        XML_VALUE },
+  {"inheritdoc", XML_INHERITDOC},
   { 0,              0 }
 };
 
Index: src/docparser.cpp
===================================================================
--- src/docparser.cpp	(revision 799)
+++ src/docparser.cpp	(working copy)
@@ -3,7 +3,7 @@
  * 
  *
  *
- * Copyright (C) 1997-2011 by Dimitri van Heesch.
+ * Copyright (C) 1997-2012 by Dimitri van Heesch.
  *
  * Permission to use, copy, modify, and distribute this software and its
  * documentation under the terms of the GNU General Public License is hereby 
@@ -5680,6 +5680,10 @@
       warn_doc_error(g_fileName,doctokenizerYYlineno,"warning: Unsupported xml/html tag <%s> found", qPrint(tagName));
       m_children.append(new DocWord(this, "<"+tagName+tagHtmlAttribs.toString()+">"));
       break;
+  case XML_INHERITDOC:
+	  handleInheritDoc();
+	  break;
+	  
     default:
       // we should not get here!
       ASSERT(0);
@@ -5832,6 +5836,7 @@
     case XML_SEE:
     case XML_SEEALSO:
     case XML_EXCEPTION:
+  case XML_INHERITDOC:
       retval = RetVal_CloseXml;
       break;
     case XML_C:
Index: src/cmdmapper.h
===================================================================
--- src/cmdmapper.h	(revision 799)
+++ src/cmdmapper.h	(working copy)
@@ -3,7 +3,7 @@
  * 
  *
  *
- * Copyright (C) 1997-2011 by Dimitri van Heesch.
+ * Copyright (C) 1997-2012 by Dimitri van Heesch.
  *
  * Permission to use, copy, modify, and distribute this software and its
  * documentation under the terms of the GNU General Public License is hereby 
@@ -180,7 +180,8 @@
   XML_TERM         = XML_CmdMask + 18,
   XML_TYPEPARAM    = XML_CmdMask + 19,
   XML_TYPEPARAMREF = XML_CmdMask + 20,
-  XML_VALUE        = XML_CmdMask + 21
+  XML_VALUE        = XML_CmdMask + 21,
+  XML_INHERITDOC   = XML_CmdMask + 22
 };
 
 class Mapper
